package com.mobvcasting.audiorecorderandevcon;

import java.io.File;
import java.io.IOException;

import android.app.Activity;
import android.media.MediaPlayer;
import android.media.MediaRecorder;
import android.os.Bundle;
import android.os.Environment;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class AudioRecorder extends Activity implements OnClickListener {

    File audioFile;
    Button stopButton;
    MediaRecorder recorder;
    
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        stopButton = (Button) this.findViewById(R.id.Button01);
        stopButton.setOnClickListener(this);
        
        recorder = new MediaRecorder(); 
        recorder.setAudioSource(MediaRecorder.AudioSource.MIC);
        recorder.setOutputFormat(MediaRecorder.OutputFormat.THREE_GPP);
        recorder.setAudioEncoder(MediaRecorder.AudioEncoder.AMR_NB);

		try {
	        File path = new File(Environment.getExternalStorageDirectory().getAbsolutePath() + "/Android/data/com.mobvcasting.audiorecorderandevcon/files/");
	        path.mkdirs(); 
			audioFile = File.createTempFile("recording", ".3gp", path);
			recorder.setOutputFile(audioFile.getAbsolutePath());
			
			recorder.prepare();
			recorder.start();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}  
        
    }

	public void onClick(View v) {
		recorder.stop();
		recorder.release();
		
		MediaPlayer mediaPlayer = new MediaPlayer();
		try {
			mediaPlayer.setDataSource(audioFile.getPath());
			mediaPlayer.prepare();
	        mediaPlayer.start();

		} catch (IllegalArgumentException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IllegalStateException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		
	}
}